0.81: New thermostat card not working with Danfoss thermostat?

Yep, thermostat fixed for my Netatmo in 0.81.4 too.

What is the one of two arrows in a circle, is that not fan?

As mentioned above, in 0.81.0 I had a full functional fan button, but it was invisible.

Solved with 0.81.4 for me too.

But I’m getting some strange things when using themes different than default.

When using midnight theme
32

When using dark_red theme
58

I’ve tried also clearing browser cache, but doesn’t work.

Anyone tried with themes?

Thanks

Please read the thread before posting… Fixed in the latest beta. Release 0.82 will have the fix as well

1 Like

HomematicIP IP is working fine now.

As in fixed in 0.81.4 or fixed in candidate for 0.82. (I’m on 0.81.4 and my previously working thermostat card does not show this is for a nest)

As in fixed in the latest beta and will be in 0.82? Beta is 0.82.0dev1

0.81.5 and I have the card :slight_smile:

EDIT: It’s now working. Not sure why but it’s trying to get a ‘mid_24’ key and gives an error because the broadlink climate component uses ‘med_’ instead of ‘mid_’. I’ve replaced all the med_ with mid_ .
I’m not sure what changed from one version to the other, but I’m using this component for months so maybe something has changed in 0.81.5
Anyway it’s working now.


When I move the dial I see a:

image

But then I get an error:
Error doing job: Task exception was never retrieved

6:26 PM custom_components/climate/broadlink.py (ERROR)

Log Details (ERROR)
Sun Nov 04 2018 18:26:11 GMT+0000 (Hora padrão da Europa Ocidental)

Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/configparser.py", line 789, in get
    value = d[option]
  File "/usr/local/lib/python3.6/collections/__init__.py", line 883, in __getitem__
    return self.__missing__(key)            # support subclasses that define __missing__
  File "/usr/local/lib/python3.6/collections/__init__.py", line 875, in __missing__
    raise KeyError(key)
KeyError: 'mid_24'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/homeassistant/helpers/service.py", line 226, in _handle_service_platform_call
    await func(entity, data)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/climate/__init__.py", line 572, in async_service_temperature_set
    await entity.async_set_temperature(**kwargs)
  File "/usr/local/lib/python3.6/concurrent/futures/thread.py", line 56, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/config/custom_components/climate/broadlink.py", line 279, in set_temperature
    self.send_ir()
  File "/config/custom_components/climate/broadlink.py", line 163, in send_ir
    command = self._commands_ini.get(section, value)
  File "/usr/local/lib/python3.6/configparser.py", line 792, in get
    raise NoOptionError(option, section)
configparser.NoOptionError: No option 'mid_24' in section: 'heat' 

Is this a card issue, or is something with the Broadlink Climate Component?
Is there something I can try to solve this?
thanks

how does one put the range feature in the thermostat?

image

If I use this code all it does is create another thermostat with another entity, which seems correct. but couldn’t find out how they did the range thing.